Tip: Before creating a top-up order, call GET /api/esim/topup/packages to retrieve the list of compatible packages for the eSIM.
| Name | Type | Required | Description |
|---|---|---|---|
iccid | string | required | The ICCID of the eSIM to top up. |
packageId | string | required | The ID of the package to apply. Retrieve compatible packages from the Get eSIM Compatible TopUp Packages endpoint. |
curl --location 'https://api-dev.getroamify.com/api/esim/order/topup' \
--header 'Authorization: Bearer roamify_2cHSSn33KR1aCJhLMzgQrLK1FJaVgGNp7Waa9ZqF6pNFbKPwfhY2Z5gpesLic6Z5WnPp5YpZges7T6bSeKmQCcKYREH4BVrr9xwxMrttEvR7JWzqxu6EA8wd5fU6xCqGMfqG7cbKLkPxMJkf5dgWgJu3RHnmaUc3jKnqebZVAVs8T2LQvMQk2A9Jd' \
--header 'Content-Type: application/json' \
--data '{
"iccid": "894000000000039210",
"packageId": "esim-cambodia-7days-1gb-all"
}'application/json; charset=utf-8 content type is not supported in the response body